footer {
  color: $theme-base;
  background: $theme-dark;
  border-top: #3430904d 0.5px solid;
  margin-bottom: 0;
  padding: 4rem;
  padding-bottom: 1rem;
  display: grid;
  grid-template-columns: 1fr 1fr;
  grid-template-rows: auto;
  grid-template-areas:
    "rrss    contact"
    "hr      hr"
    "credits credits";
  .btn-footer {
    background: transparent;
    color: $theme-cyan;
    cursor: pointer;
    font-size: 1.5rem;
  }
  .rrss {
    grid-area: rrss;
  }
  .contact {
    grid-area: contact;
  }
  hr {
    grid-area: hr;
  }
  .credits {
    grid-area: credits;
    display: flex;
    justify-content: center;
    align-content: flex-end;
    padding-top: 3rem;
    p {
      font-size: 1.5rem;
    }
  }
}

//modal
.modal-content {
  background-color: #171717de;
  border: 0px solid #3430904d;
  color : $theme-base;
}
.modal-header {
  display: flex;
  flex-direction: row;
  justify-content: space-between;
  width: 100%;
  border-bottom: solid #3430904d 2px;
  padding: 2rem;
  &::before {
    content: none;
  }
  &::after {
    content: none;
  }
  .modal-title {
    font-size: 2rem;
    line-height: 2.5rem;
    color: $theme-cyan;
  }
  .close {
    opacity: 1;
    text-shadow: 0 3px 0 #7113e3;
    font-size: 3rem;
    color: $theme-base;
  }
}

.modal-body {
  display: flex;
  flex-direction: column;
  justify-content: center;
  p {
    font-size: 1.4rem;
  }
  form {
    width: 100%;
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-content: center;
    padding: 4rem 8rem;
    .form-group {
      width: 100%;
      label {
        width: 100%;
        input {
          width: 100%;
        }
        textarea {
          width: 100%;
        }
      }
    }
    button {
      width: auto;
    }
  }
}

.modal-footer {
  border-top: solid #3430904d 2px;
}
@media (max-width: $bp-movil-lg) {
  footer {
    justify-content: center;
    grid-template-columns: 1fr;
    grid-template-rows: auto;
    grid-template-areas:
      "rrss" "contact"
      "credits";

    h3 {
      font-size: 1.5rem;
    }

    .credits {
      padding: 2rem;
      p {
        font-size: 1rem;
      }
    }
  }
  .modal-body {
    form {
      padding: 4rem;
    }
  }
  .btn-footer {
    font-size: 1.1rem;
  }
}
